OSTREE ADMIN UPGRADE(1)

NAME
ostree-admin-upgrade - Construct new tree from current origin and deploy it, if it changed

SYNOPSIS

ostree admin upgrade [OPTIONS...]

DESCRIPTION

Downloads the latest version of the current ref from the build server and deploys it, if it changed. Reboot the machine for the changes to take effect. These phases can be split via --pull-only and --deploy-only.

OPTIONS

--os="STATEROOT"
    Use a different operating system root than the current one.

--pull-only
    Only perform a pull into the repository; do not create a deployment. This option can hence safely be used in a background scheduled job with the assurance of not changing system state.

--deploy-only
    Create a new deployment from the latest commit in the tracked origin refspec. This option is intended to be used by a scheduled system that detected changes via --pull-only, and is ready to deploy them.

--stage
    Perform deployment finalization at shutdown time. Recommended, and will likely become the default in the future.

--reboot,-r
    Reboot after a successful upgrade.

--kexec,-k
    Load new deployment into kexec after a successful upgrade.

--allow-downgrade
    Permit deployment of chronologically older trees.

--override-commit="CHECKSUM"
    Deploy CHECKSUM instead of the latest tree.

EXAMPLE

$ ostree admin upgrade

            No update available.